Subject: tlp-configuration discrepancies with tlp specification

From: Adam Bonislavsky <[email-masked]>
Date: Tue, 23 Jul 2024 16:51:03 +0200

I came across two bugs in gnu/services/pm.scm in tlp-configuration.

1. disks-devices should be disk-devices, because the name after
serialization, DISKS_DEVICES, is not recognized.
https://linrunner.de/tlp/settings/disks.html#disk-devices

2. ahci-runtime-pm-on-ac? and ahci-runtime-pm-on-bat? shouldn't be of
the type maybe-on-off-boolean. These get serialized to "on" or "off",
but the accepted values are "on" and "auto".
https://linrunner.de/tlp/settings/disks.html#ahci-runtime-pm-on-ac-bat